View Issue Details

IDProjectCategoryView StatusLast Update
0017799MediaMonkey 5Casting (Google Cast / UPnP)public2021-05-27 00:32
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0.1Fixed in Version5.0.1 
Summary0017799: Cast to chromecast mini fails when casting is initiated during playback
DescriptionIf the user switches output to a Chromecast mini prior to initiating playback, casting works as expected. But if the user switches output to a Chromecast mini after playback is already in progress, then the devices buffers endlessly and playback never starts (MM indicates that it's due to decoding problems on the device, but that obviously doesn't make sense since Playback of that same track to the device does work).

Note: this issue doesn't occur with Chromecast Audio devices.

Tested with build 2400 as follows:
1 Run MM5
2 Verify in Chrome that 'R & C Mini' chromecast device appears (5000)
3 Switch output to 'R & C Mini' (7000)
4 Double-click 'We're all in this together' (15000)
--> Playback on R & C Mini works as expected
5 Press Stop 30000
--> Playback stops
6 Switch output to Internal Player (30600)
7 Double-click 'We're all in this together' (31000)
--> Playback to internal speaker works as expected
8 Switch output to 'R & C Mini' (31500)
--> endless "buffering on 'R & C Mini'" !
9 Press STOP after a minute or so (50000)
--> Toast message appears indicating a R & C Mini cannot decode the mp3 file.
10 Switch back to Internal Player (62000)
--> MediaMonkey is unable to decodethis format [Find missing codec] !
11 [Cancel] {64000)
7 Double-click 'We're all in this together' (64500)
--> Playback to internal speaker works as expected
8 Switch output to Dining Room CC', a chromecast audio device (65000)
--> Playback proceeds normally
Additional InformationPossibly related to https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98912 ?
TagsNo tags attached.
Fixed in build2402

Activities

rusty

2021-04-29 22:19

administrator   ~0063012

Retested with 2401 and the issue persists. i.e. playback failure (endless buffering) only occurs when switching output to the Google Home Mini after playback has been initiated (tested with both MP3 and FLAC).

Does not occur for:
- Google Cast Audio
- Google Cast Audio groups
- Google Cast G2

Ludek

2021-04-30 09:53

developer   ~0063016

Last edited: 2021-04-30 09:54

View 3 revisions

I don't have CC MINI to test, but I most probably fixed this issue based on the debug log.
=> fixed in 5.0.1.2402

peke

2021-05-27 00:32

developer   ~0063521

Verified 2408

Tested regressions in 2408 With Nexus PLayer, and verified with user in Remote session that have two Minis on 2407. User had MM5 2338.